Subject: [bug#39020] Lean won't work with the emacs mode

From: Brett Gilio <[email-masked]>
Date: Tue, 07 Jan 2020 13:11:56 -0600

Arvid Marx <[email-masked]> writes:

> The emacs mode for Lean (which doesn't appear to be packaged yet, but
> of course works via MELPA etc.) expects some sort of root directory for
> Lean, which is not given simply because binaries and other files are
> put into separate directories. This of course makes Lean impossible to
> use as intended. However, I'm not quite sure how this would be fixed in
> practice, as I'm not aware of any suitable directory hierarchy in such
> a case.
>
> Any ideas?
>
> --
>
> Arvid

Cc'ing Amin Bandali, who took care of packaging Lean. I am happy to help
too, but I want to see what he says first.

-- 
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
<[email-masked]> <[email-masked]>